Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1822946 - DBus activation fails due to using relative and not absolute paths
Summary: DBus activation fails due to using relative and not absolute paths
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nextcloud-client
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Germano Massullo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-10 15:31 UTC by taaem
Modified: 2020-04-25 02:20 UTC (History)
7 users (show)

Fixed In Version: nextcloud-client-2.6.4-3.fc30 nextcloud-client-2.6.4-3.fc31 nextcloud-client-2.6.4-3.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-22 22:55:41 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Patch to fix dbus activation for the fedora package (2.30 KB, application/mbox)
2020-04-10 15:31 UTC, taaem
no flags Details

Description taaem 2020-04-10 15:31:55 UTC
Created attachment 1677806 [details]
Patch to fix dbus activation for the fedora package

Hello,
The CloudProviders integration enables dbus to autostart the client, but the service file provided in the source tree is using relative paths, which apparently Fedoras dbus doesn't understand and so autostart fails. 

The fix is to using absolute path in the service file.
I filed a PR against the upstream here: https://github.com/nextcloud/desktop/pull/1919

And I'm attaching a patch to enable patch the fedora package to include the PR. 

Best regards.

Comment 1 Germano Massullo 2020-04-11 16:13:09 UTC
To other maintainers: don't implement this patch because reporter will soon join nextcloud-client maintainers and he wants to do it by his own

Comment 2 Fedora Update System 2020-04-12 10:20:21 UTC
FEDORA-2020-667060b408 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-667060b408

Comment 3 Fedora Update System 2020-04-12 10:20:21 UTC
FEDORA-2020-9187a5fa95 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-9187a5fa95

Comment 4 Fedora Update System 2020-04-12 10:20:22 UTC
FEDORA-2020-273c675156 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-273c675156

Comment 5 Fedora Update System 2020-04-12 16:10:10 UTC
FEDORA-2020-273c675156 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-273c675156`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-273c675156

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-04-13 18:32:21 UTC
FEDORA-2020-667060b408 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-667060b408`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-667060b408

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-04-13 19:16:31 UTC
FEDORA-2020-9187a5fa95 has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-9187a5fa95`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-9187a5fa95

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-04-22 22:55:41 UTC
FEDORA-2020-9187a5fa95 has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-04-22 23:23:40 UTC
FEDORA-2020-667060b408 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-04-25 02:20:53 UTC
FEDORA-2020-273c675156 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.